comparison configure @ 1997:f02e47602886

[xemacs-hg @ 2004-04-07 16:23:49 by james] FreeBSD -lmp requires -lcrypto as well.
author james
date Wed, 07 Apr 2004 16:23:50 +0000
parents 3432736e50ad
children 1d23b62cc251
comparison
equal deleted inserted replaced
1996:ea0e08ca2c78 1997:f02e47602886
15630 LIBS="-lgmp $LIBS" && if test "$extra_verbose" = "yes"; then echo " Prepending \"-lgmp\" to \$LIBS"; fi 15630 LIBS="-lgmp $LIBS" && if test "$extra_verbose" = "yes"; then echo " Prepending \"-lgmp\" to \$LIBS"; fi
15631 else 15631 else
15632 { echo "Error:" "Required GMP numeric support cannot be provided." >&2; exit 1; } 15632 { echo "Error:" "Required GMP numeric support cannot be provided." >&2; exit 1; }
15633 fi 15633 fi
15634 elif test "$use_number_lib" = "mp"; then 15634 elif test "$use_number_lib" = "mp"; then
15635 ac_safe=`echo "mp.h" | sed 'y%./+-%__p_%'` 15635 for library in "" "-lcrypto"; do
15636 ac_safe=`echo "mp.h" | sed 'y%./+-%__p_%'`
15636 echo $ac_n "checking for mp.h""... $ac_c" 1>&6 15637 echo $ac_n "checking for mp.h""... $ac_c" 1>&6
15637 echo "configure:15638: checking for mp.h" >&5 15638 echo "configure:15639: checking for mp.h" >&5
15638 15639
15639 cat > conftest.$ac_ext <<EOF 15640 cat > conftest.$ac_ext <<EOF
15640 #line 15641 "configure" 15641 #line 15642 "configure"
15641 #include "confdefs.h" 15642 #include "confdefs.h"
15642 #include <mp.h> 15643 #include <mp.h>
15643 EOF 15644 EOF
15644 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out" 15645 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
15645 { (eval echo configure:15646: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; } 15646 { (eval echo configure:15647: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
15646 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"` 15647 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
15647 if test -z "$ac_err"; then 15648 if test -z "$ac_err"; then
15648 rm -rf conftest* 15649 rm -rf conftest*
15649 eval "ac_cv_header_$ac_safe=yes" 15650 eval "ac_cv_header_$ac_safe=yes"
15650 else 15651 else
15656 fi 15657 fi
15657 rm -f conftest* 15658 rm -f conftest*
15658 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then 15659 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
15659 echo "$ac_t""yes" 1>&6 15660 echo "$ac_t""yes" 1>&6
15660 15661
15661 15662
15662 echo $ac_n "checking for mp_mfree in -lmp""... $ac_c" 1>&6 15663 xe_msg_checking="for mp_mfree in -lmp"
15663 echo "configure:15664: checking for mp_mfree in -lmp" >&5 15664 test -n "$library" && xe_msg_checking="$xe_msg_checking using extra libs $library"
15665 echo $ac_n "checking "$xe_msg_checking"""... $ac_c" 1>&6
15666 echo "configure:15667: checking "$xe_msg_checking"" >&5
15664 ac_lib_var=`echo mp'_'mp_mfree | sed 'y%./+-%__p_%'` 15667 ac_lib_var=`echo mp'_'mp_mfree | sed 'y%./+-%__p_%'`
15665 15668
15666 xe_check_libs=" -lmp " 15669 xe_check_libs=" -lmp $library"
15667 cat > conftest.$ac_ext <<EOF 15670 cat > conftest.$ac_ext <<EOF
15668 #line 15669 "configure" 15671 #line 15672 "configure"
15669 #include "confdefs.h" 15672 #include "confdefs.h"
15670 /* Override any gcc2 internal prototype to avoid an error. */ 15673 /* Override any gcc2 internal prototype to avoid an error. */
15671 /* We use char because int might match the return type of a gcc2 15674 /* We use char because int might match the return type of a gcc2
15672 builtin and then its argument prototype would still apply. */ 15675 builtin and then its argument prototype would still apply. */
15673 char mp_mfree(); 15676 char mp_mfree();
15674 15677
15675 int main() { 15678 int main() {
15676 mp_mfree() 15679 mp_mfree()
15677 ; return 0; } 15680 ; return 0; }
15678 EOF 15681 EOF
15679 if { (eval echo configure:15680: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then 15682 if { (eval echo configure:15683: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
15680 rm -rf conftest* 15683 rm -rf conftest*
15681 eval "ac_cv_lib_$ac_lib_var=yes" 15684 eval "ac_cv_lib_$ac_lib_var=yes"
15682 else 15685 else
15683 echo "configure: failed program was:" >&5 15686 echo "configure: failed program was:" >&5
15684 cat conftest.$ac_ext >&5 15687 cat conftest.$ac_ext >&5
15688 rm -f conftest* 15691 rm -f conftest*
15689 xe_check_libs="" 15692 xe_check_libs=""
15690 15693
15691 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes" ; then 15694 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes" ; then
15692 echo "$ac_t""yes" 1>&6 15695 echo "$ac_t""yes" 1>&6
15693 have_mp_mfree=yes 15696 have_mp_mfree=yes break
15694 else 15697 else
15695 echo "$ac_t""no" 1>&6 15698 echo "$ac_t""no" 1>&6
15696 15699
15697 echo $ac_n "checking for mfree in -lmp""... $ac_c" 1>&6 15700 xe_msg_checking="for mfree in -lmp"
15698 echo "configure:15699: checking for mfree in -lmp" >&5 15701 test -n "$library" && xe_msg_checking="$xe_msg_checking using extra libs $library"
15702 echo $ac_n "checking "$xe_msg_checking"""... $ac_c" 1>&6
15703 echo "configure:15704: checking "$xe_msg_checking"" >&5
15699 ac_lib_var=`echo mp'_'mfree | sed 'y%./+-%__p_%'` 15704 ac_lib_var=`echo mp'_'mfree | sed 'y%./+-%__p_%'`
15700 15705
15701 xe_check_libs=" -lmp " 15706 xe_check_libs=" -lmp $library"
15702 cat > conftest.$ac_ext <<EOF 15707 cat > conftest.$ac_ext <<EOF
15703 #line 15704 "configure" 15708 #line 15709 "configure"
15704 #include "confdefs.h" 15709 #include "confdefs.h"
15705 /* Override any gcc2 internal prototype to avoid an error. */ 15710 /* Override any gcc2 internal prototype to avoid an error. */
15706 /* We use char because int might match the return type of a gcc2 15711 /* We use char because int might match the return type of a gcc2
15707 builtin and then its argument prototype would still apply. */ 15712 builtin and then its argument prototype would still apply. */
15708 char mfree(); 15713 char mfree();
15709 15714
15710 int main() { 15715 int main() {
15711 mfree() 15716 mfree()
15712 ; return 0; } 15717 ; return 0; }
15713 EOF 15718 EOF
15714 if { (eval echo configure:15715: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then 15719 if { (eval echo configure:15720: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
15715 rm -rf conftest* 15720 rm -rf conftest*
15716 eval "ac_cv_lib_$ac_lib_var=yes" 15721 eval "ac_cv_lib_$ac_lib_var=yes"
15717 else 15722 else
15718 echo "configure: failed program was:" >&5 15723 echo "configure: failed program was:" >&5
15719 cat conftest.$ac_ext >&5 15724 cat conftest.$ac_ext >&5
15723 rm -f conftest* 15728 rm -f conftest*
15724 xe_check_libs="" 15729 xe_check_libs=""
15725 15730
15726 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes" ; then 15731 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes" ; then
15727 echo "$ac_t""yes" 1>&6 15732 echo "$ac_t""yes" 1>&6
15728 have_mfree=yes 15733 have_mfree=yes break
15729 else 15734 else
15730 echo "$ac_t""no" 1>&6 15735 echo "$ac_t""no" 1>&6
15731 fi 15736 fi
15732 15737
15733 15738
15734 fi 15739 fi
15735 15740
15736 15741
15737 else 15742 else
15738 echo "$ac_t""no" 1>&6 15743 echo "$ac_t""no" 1>&6
15739 fi 15744 fi
15740 15745
15746 done
15741 if test "$have_mp_mfree" = "yes"; then 15747 if test "$have_mp_mfree" = "yes"; then
15742 { test "$extra_verbose" = "yes" && cat << \EOF 15748 { test "$extra_verbose" = "yes" && cat << \EOF
15743 Defining MP_PREFIX 15749 Defining MP_PREFIX
15744 EOF 15750 EOF
15745 cat >> confdefs.h <<\EOF 15751 cat >> confdefs.h <<\EOF
15746 #define MP_PREFIX 1 15752 #define MP_PREFIX 1
15747 EOF 15753 EOF
15748 } 15754 }
15749 15755
15750 LIBS="-lmp $LIBS" && if test "$extra_verbose" = "yes"; then echo " Prepending \"-lmp\" to \$LIBS"; fi 15756 LIBS="$LIBS -lmp" && if test "$extra_verbose" = "yes"; then echo " Appending \"-lmp\" to \$LIBS"; fi
15751 echo $ac_n "checking for mp_move""... $ac_c" 1>&6 15757 echo $ac_n "checking for mp_move""... $ac_c" 1>&6
15752 echo "configure:15753: checking for mp_move" >&5 15758 echo "configure:15759: checking for mp_move" >&5
15753 15759
15754 cat > conftest.$ac_ext <<EOF 15760 cat > conftest.$ac_ext <<EOF
15755 #line 15756 "configure" 15761 #line 15762 "configure"
15756 #include "confdefs.h" 15762 #include "confdefs.h"
15757 /* System header to define __stub macros and hopefully few prototypes, 15763 /* System header to define __stub macros and hopefully few prototypes,
15758 which can conflict with char mp_move(); below. */ 15764 which can conflict with char mp_move(); below. */
15759 #include <assert.h> 15765 #include <assert.h>
15760 /* Override any gcc2 internal prototype to avoid an error. */ 15766 /* Override any gcc2 internal prototype to avoid an error. */
15773 mp_move(); 15779 mp_move();
15774 #endif 15780 #endif
15775 15781
15776 ; return 0; } 15782 ; return 0; }
15777 EOF 15783 EOF
15778 if { (eval echo configure:15779: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then 15784 if { (eval echo configure:15785: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
15779 rm -rf conftest* 15785 rm -rf conftest*
15780 eval "ac_cv_func_mp_move=yes" 15786 eval "ac_cv_func_mp_move=yes"
15781 else 15787 else
15782 echo "configure: failed program was:" >&5 15788 echo "configure: failed program was:" >&5
15783 cat conftest.$ac_ext >&5 15789 cat conftest.$ac_ext >&5
15799 else 15805 else
15800 echo "$ac_t""no" 1>&6 15806 echo "$ac_t""no" 1>&6
15801 fi 15807 fi
15802 15808
15803 elif test "$have_mfree" = "yes"; then 15809 elif test "$have_mfree" = "yes"; then
15804 LIBS="-lmp $LIBS" && if test "$extra_verbose" = "yes"; then echo " Prepending \"-lmp\" to \$LIBS"; fi 15810 LIBS="$LIBS -lmp" && if test "$extra_verbose" = "yes"; then echo " Appending \"-lmp\" to \$LIBS"; fi
15805 echo $ac_n "checking for move""... $ac_c" 1>&6 15811 echo $ac_n "checking for move""... $ac_c" 1>&6
15806 echo "configure:15807: checking for move" >&5 15812 echo "configure:15813: checking for move" >&5
15807 15813
15808 cat > conftest.$ac_ext <<EOF 15814 cat > conftest.$ac_ext <<EOF
15809 #line 15810 "configure" 15815 #line 15816 "configure"
15810 #include "confdefs.h" 15816 #include "confdefs.h"
15811 /* System header to define __stub macros and hopefully few prototypes, 15817 /* System header to define __stub macros and hopefully few prototypes,
15812 which can conflict with char move(); below. */ 15818 which can conflict with char move(); below. */
15813 #include <assert.h> 15819 #include <assert.h>
15814 /* Override any gcc2 internal prototype to avoid an error. */ 15820 /* Override any gcc2 internal prototype to avoid an error. */
15827 move(); 15833 move();
15828 #endif 15834 #endif
15829 15835
15830 ; return 0; } 15836 ; return 0; }
15831 EOF 15837 EOF
15832 if { (eval echo configure:15833: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then 15838 if { (eval echo configure:15839: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
15833 rm -rf conftest* 15839 rm -rf conftest*
15834 eval "ac_cv_func_move=yes" 15840 eval "ac_cv_func_move=yes"
15835 else 15841 else
15836 echo "configure: failed program was:" >&5 15842 echo "configure: failed program was:" >&5
15837 cat conftest.$ac_ext >&5 15843 cat conftest.$ac_ext >&5
15855 fi 15861 fi
15856 15862
15857 else 15863 else
15858 { echo "Error:" "Required MP numeric support cannot be provided." >&2; exit 1; } 15864 { echo "Error:" "Required MP numeric support cannot be provided." >&2; exit 1; }
15859 fi 15865 fi
15866 if test "$library" = "-lcrypto"; then
15867 LIBS="$LIBS -lcrypto" && if test "$extra_verbose" = "yes"; then echo " Appending \"-lcrypto\" to \$LIBS"; fi
15868 fi
15860 { test "$extra_verbose" = "yes" && cat << \EOF 15869 { test "$extra_verbose" = "yes" && cat << \EOF
15861 Defining WITH_NUMBER_TYPES 15870 Defining WITH_NUMBER_TYPES
15862 EOF 15871 EOF
15863 cat >> confdefs.h <<\EOF 15872 cat >> confdefs.h <<\EOF
15864 #define WITH_NUMBER_TYPES 1 15873 #define WITH_NUMBER_TYPES 1
15874 } 15883 }
15875 15884
15876 fi 15885 fi
15877 15886
15878 cat > conftest.$ac_ext <<EOF 15887 cat > conftest.$ac_ext <<EOF
15879 #line 15880 "configure" 15888 #line 15889 "configure"
15880 #include "confdefs.h" 15889 #include "confdefs.h"
15881 int main(int c,char *v[]){return 0;} 15890 int main(int c,char *v[]){return 0;}
15882 EOF 15891 EOF
15883 if { (eval echo configure:15884: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5 15892 if { (eval echo configure:15893: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
15884 then 15893 then
15885 : 15894 :
15886 else 15895 else
15887 conftest_rc="$?" 15896 conftest_rc="$?"
15888 echo "configure: failed program was:" >&5 15897 echo "configure: failed program was:" >&5